/****************************************************************************
**
** Copyright (C) 1992-2005 Trolltech AS. All rights reserved.
**
** This file is part of the plugins of the Qt Toolkit.
**
** Licensees holding a valid Qt License Agreement may use this file in
** accordance with the rights, responsibilities and obligations
** contained therein.  Please consult your licensing agreement or
** contact sales@trolltech.com if any conditions of this licensing
** agreement are not clear to you.
**
** Further information about Qt licensing is available at:
** http://www.trolltech.com/products/qt/licensing.html or by
** contacting info@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include <qsqldriverplugin.h>
#include <qstringlist.h>
#include "../../../sql/drivers/oci/qsql_oci.h"

class QOCIDriverPlugin : public QSqlDriverPlugin
{
public:
    QOCIDriverPlugin();

    QSqlDriver* create(const QString &);
    QStringList keys() const;
};

QOCIDriverPlugin::QOCIDriverPlugin()
    : QSqlDriverPlugin()
{
}

QSqlDriver* QOCIDriverPlugin::create(const QString &name)
{
    if (name == QLatin1String("QOCI") || name == QLatin1String("QOCI8")) {
        QOCIDriver* driver = new QOCIDriver();
        return driver;
    }
    return 0;
}

QStringList QOCIDriverPlugin::keys() const
{
    QStringList l;
    l.append(QLatin1String("QOCI8"));
    l.append(QLatin1String("QOCI"));
    return l;
}

Q_EXPORT_PLUGIN(QOCIDriverPlugin)
